Index: code/branches/explosionChunksHS15/data/levels/emptyLevel.oxw
===================================================================
--- code/branches/explosionChunksHS15/data/levels/emptyLevel.oxw	(revision 10809)
+++ code/branches/explosionChunksHS15/data/levels/emptyLevel.oxw	(revision 10810)
@@ -37,13 +37,5 @@
         <templates>
           <Template link=spaceshipassff />
-        </templates>
-
-        <explosion >
-          <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
-          <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
-          <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
-        </explosion>
-          
-                    
+        </templates>         
     </SpaceShip>
     <SpaceShip
@@ -54,16 +46,4 @@
           <Template link=spaceshipassff />
         </templates>
-
-        <explosion >
-          <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
-          <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
-          <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
-
-          <ExplosionPart minspeed=0 maxspeed=0 effect1="Orxonox/explosion2b" effect2="Orxonox/smoke6" />
-          <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-          <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-          <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-          <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-        </explosion>
                     
     </SpaceShip>
@@ -73,12 +53,6 @@
         >
         <templates>
-          <Template link=spaceshipassff />
+          <Template link=spaceshipescort />
         </templates>
-
-        <explosion>
-          <ExplosionPart mesh="WingDebris1.mesh" />
-          <ExplosionPart mesh="WingDebris2.mesh" />
-          
-        </explosion>
 
         
Index: code/branches/explosionChunksHS15/data/levels/templates/spaceshipAssff.oxt
===================================================================
--- code/branches/explosionChunksHS15/data/levels/templates/spaceshipAssff.oxt	(revision 10809)
+++ code/branches/explosionChunksHS15/data/levels/templates/spaceshipAssff.oxt	(revision 10810)
@@ -57,13 +57,13 @@
     </collisionShapes>
     <explosion >
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+      <ExplosionPart offset="100,100,100" minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart offset="100,100,100" minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart offset="100,100,100" minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
 
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="Orxonox/explosion2b" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart offset="100,100,100" minspeed=0 maxspeed=0 effect1="Orxonox/explosion2b" effect2="Orxonox/smoke6" />
+      <ExplosionPart offset="100,100,100" mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart offset="100,100,100" mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart offset="100,100,100" mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart offset="100,100,100" mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
     </explosion>
 <?lua
Index: code/branches/explosionChunksHS15/src/orxonox/worldentities/ExplosionPart.cc
===================================================================
--- code/branches/explosionChunksHS15/src/orxonox/worldentities/ExplosionPart.cc	(revision 10809)
+++ code/branches/explosionChunksHS15/src/orxonox/worldentities/ExplosionPart.cc	(revision 10810)
@@ -49,4 +49,5 @@
 		this->effect2Particle_= NULL;
 		this->explosionEntity_ = new MovableEntity(this->getContext());
+		this->posOffset_ = Vector3::ZERO;
 
 
@@ -82,4 +83,5 @@
 		XMLPortParam(ExplosionPart, "effect1", setEffect1, getEffect1, xmlelement, mode).defaultValues("");
 		XMLPortParam(ExplosionPart, "effect2", setEffect2, getEffect2, xmlelement, mode).defaultValues("");
+		XMLPortParam(ExplosionPart, "offset", setOffset, getOffset, xmlelement, mode).defaultValues(Vector3::ZERO);
 
 
@@ -90,4 +92,5 @@
 	{
 		orxout() << "Explode" << endl;
+
 
 
@@ -174,4 +177,10 @@
 	}
 
+	void ExplosionPart::setOffset(Vector3 newVector)
+	{
+		this->posOffset_ = newVector;
+		this->setPosition(this->getPosition() + this->posOffset_);
+	}
+
 	std::string& ExplosionPart::getMesh()
 	{ return this->mesh_; }
@@ -193,4 +202,9 @@
 	}
 
+	Vector3 ExplosionPart::getOffset()
+	{
+		return this->posOffset_;
+	}
+
 
 
Index: code/branches/explosionChunksHS15/src/orxonox/worldentities/ExplosionPart.h
===================================================================
--- code/branches/explosionChunksHS15/src/orxonox/worldentities/ExplosionPart.h	(revision 10809)
+++ code/branches/explosionChunksHS15/src/orxonox/worldentities/ExplosionPart.h	(revision 10810)
@@ -65,4 +65,6 @@
             void setMaxSpeed(float speed);
             float getMaxSpeed();
+            void setOffset(Vector3 newVector);
+            Vector3 getOffset();
          
 
@@ -83,4 +85,5 @@
         	std::string effect1_;
             std::string effect2_;
+            Vector3 posOffset_;
 
             MovableEntity* explosionEntity_;
Index: code/branches/explosionChunksHS15/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/explosionChunksHS15/src/orxonox/worldentities/pawns/Pawn.cc	(revision 10809)
+++ code/branches/explosionChunksHS15/src/orxonox/worldentities/pawns/Pawn.cc	(revision 10810)
@@ -140,5 +140,5 @@
         XMLPortParam(Pawn, "spawnparticlesource", setSpawnParticleSource, getSpawnParticleSource, xmlelement, mode);
         XMLPortParam(Pawn, "spawnparticleduration", setSpawnParticleDuration, getSpawnParticleDuration, xmlelement, mode).defaultValues(3.0f);
-        XMLPortParam(Pawn, "explosionchunks", setExplosionChunks, getExplosionChunks, xmlelement, mode).defaultValues(7);
+        XMLPortParam(Pawn, "explosionchunks", setExplosionChunks, getExplosionChunks, xmlelement, mode).defaultValues(0);
 
         XMLPortObject(Pawn, WeaponSlot, "weaponslots", addWeaponSlot, getWeaponSlot, xmlelement, mode);