Index: code/branches/fabienHS15/data/levels/FPS_Level_HS14.oxw
===================================================================
--- code/branches/fabienHS15/data/levels/FPS_Level_HS14.oxw	(revision 10791)
+++ code/branches/fabienHS15/data/levels/FPS_Level_HS14.oxw	(revision 10814)
@@ -67,6 +67,6 @@
         maxshieldhealth     = "50"
         shieldabsorption    = "0.8"
-        reloadrate          = "100"
-        reloadwaittime      = "0.1"
+        shieldrechargerate  = "100"
+        shieldrechargewaittime = "0.1"
         name                = "Tanis1"
         radarname           = "Light Destroyer" >
@@ -197,6 +197,6 @@
         maxshieldhealth     = "200"
         shieldabsorption    = "0.8"
-        reloadrate          = "1"
-        reloadwaittime      = "1"
+        shieldrechargerate  = "1"
+        shieldrechargewaittime = "1"
         name                = "Tanis0"
         radarname           = "Tanis big ship" >
@@ -216,6 +216,6 @@
         maxshieldhealth     = "50"
         shieldabsorption    = "0.8"
-        reloadrate          = "1"
-        reloadwaittime      = "1"
+        shieldrechargerate  = "1"
+        shieldrechargewaittime = "1"
         name                = "Tanis0"
         radarname           = "Pirate1" >
@@ -239,6 +239,6 @@
         maxshieldhealth     = "50"
         shieldabsorption    = "0.8"
-        reloadrate          = "1"
-        reloadwaittime      = "1"
+        shieldrechargerate  = "1"
+        shieldrechargewaittime = "1"
         name                = "Tanis0"
         radarname           = "Pirate2" >
Index: code/branches/fabienHS15/data/levels/iJohnVane_TriptoArea51.oxw
===================================================================
--- code/branches/fabienHS15/data/levels/iJohnVane_TriptoArea51.oxw	(revision 10791)
+++ code/branches/fabienHS15/data/levels/iJohnVane_TriptoArea51.oxw	(revision 10814)
@@ -169,6 +169,6 @@
         maxshieldhealth     = "120"
         shieldabsorption    = "0.8"
-        reloadrate          = "1"
-        reloadwaittime      = "1"
+        shieldrechargerate  = "1"
+        shieldrechargewaittime = "1"
         name                = "cruiser"
         radarname           = "Spacecruiser" >
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsAssff.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsAssff.oxi	(revision 10791)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsAssff.oxi	(revision 10814)
@@ -40,5 +40,5 @@
         <Weapon>
           <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 fuel=8 />
         </Weapon>
       </WeaponPack>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsAssff2.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsAssff2.oxi	(revision 10791)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsAssff2.oxi	(revision 10814)
@@ -38,5 +38,5 @@
         <Weapon>
           <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=50 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" damage=100 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=100 fuel=10 />
         </Weapon>
       </WeaponPack>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsCollateral.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsCollateral.oxi	(revision 10791)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsCollateral.oxi	(revision 10814)
@@ -42,5 +42,5 @@
         <Weapon>
           <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 fuel=10 />
         </Weapon>
       </WeaponPack>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsFS15.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsFS15.oxi	(revision 10791)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsFS15.oxi	(revision 10814)
@@ -38,5 +38,5 @@
       <GravityBombFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
       <RocketFireOld mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
-      <RocketFire mode=4 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+      <RocketFire mode=4 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 fuel=10 />
     </Weapon>
   </WeaponPack>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsHeartAttack.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsHeartAttack.oxi	(revision 10791)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsHeartAttack.oxi	(revision 10814)
@@ -34,5 +34,5 @@
           <LaserFire mode=1 munitionpershot=1 muzzleoffset="2.2,6,16" damage=30 shielddamage=20 />
           <LaserFire mode=1 munitionpershot=1 muzzleoffset="-2.2,6,16" damage=30 shielddamage=20 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 fuel=10 />
           <GravityBombFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
         </Weapon>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsHeavyCruiser.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsHeavyCruiser.oxi	(revision 10791)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsHeavyCruiser.oxi	(revision 10814)
@@ -40,5 +40,5 @@
         <Weapon>
           <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 fuel=10 />
         </Weapon>
       </WeaponPack>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsHeavyCruiserBody.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsHeavyCruiserBody.oxi	(revision 10791)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsHeavyCruiserBody.oxi	(revision 10814)
@@ -34,5 +34,5 @@
         <Weapon>
           <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 fuel=10 />
         </Weapon>
       </WeaponPack>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsImmTest.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsImmTest.oxi	(revision 10791)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsImmTest.oxi	(revision 10814)
@@ -44,5 +44,5 @@
         <Weapon>
           <SimpleRocketFire mode=2 muzzleoffset="0,0,0" shielddamage=50 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" healthdamage=80 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" healthdamage=80 shielddamage=20 fuel=10 />
         </Weapon>
       </WeaponPack>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsSpacecruiser.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsSpacecruiser.oxi	(revision 10791)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsSpacecruiser.oxi	(revision 10814)
@@ -44,5 +44,5 @@
         <Weapon>
           <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 fuel=10 />
         </Weapon>
         <Weapon>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsbigship.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsbigship.oxi	(revision 10791)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsbigship.oxi	(revision 10814)
@@ -35,5 +35,5 @@
         <Weapon>
           <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 fuel=10 />
         </Weapon>
       </WeaponPack>
Index: code/branches/fabienHS15/data/levels/missionOne.oxw
===================================================================
--- code/branches/fabienHS15/data/levels/missionOne.oxw	(revision 10791)
+++ code/branches/fabienHS15/data/levels/missionOne.oxw	(revision 10814)
@@ -1080,6 +1080,6 @@
         maxshieldhealth     = "120"
         shieldabsorption    = "0.8"
-        reloadrate          = "1"
-        reloadwaittime      = "1"
+        shieldrechargerate  = "1"
+        shieldrechargewaittime = "1"
         name                = "cruiser"
         radarname           = "Spacecruiser" >
Index: code/branches/fabienHS15/data/levels/presentationHS13.oxw
===================================================================
--- code/branches/fabienHS15/data/levels/presentationHS13.oxw	(revision 10791)
+++ code/branches/fabienHS15/data/levels/presentationHS13.oxw	(revision 10814)
@@ -162,6 +162,6 @@
         maxshieldhealth     = "120"
         shieldabsorption    = "0.8"
-        reloadrate          = "1"
-        reloadwaittime      = "1"
+        shieldrechargerate  = "1"
+        shieldrechargewaittime = "1"
         name                = "Tanis1"
         radarname           = "Tanis Cruiser" >
Index: code/branches/fabienHS15/data/levels/shieldTest.oxw
===================================================================
--- code/branches/fabienHS15/data/levels/shieldTest.oxw	(revision 10791)
+++ code/branches/fabienHS15/data/levels/shieldTest.oxw	(revision 10814)
@@ -43,6 +43,6 @@
     shieldabsorption= 1
 
-    reloadrate= "10"
-    reloadwaittime= 1
+    shieldrechargerate = "10"
+    shieldrechargewaittime = 1
 
 >
Index: code/branches/fabienHS15/data/levels/templates/HeavyCruiser.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/HeavyCruiser.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/HeavyCruiser.oxt	(revision 10814)
@@ -19,6 +19,6 @@
    maxshieldhealth     = 50
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 300
Index: code/branches/fabienHS15/data/levels/templates/HeavyCruiserBody.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/HeavyCruiserBody.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/HeavyCruiserBody.oxt	(revision 10814)
@@ -17,6 +17,6 @@
    maxshieldhealth     = 500
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 300
Index: code/branches/fabienHS15/data/levels/templates/ModularSpaceShipTest.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/ModularSpaceShipTest.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/ModularSpaceShipTest.oxt	(revision 10814)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 50
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 100
Index: code/branches/fabienHS15/data/levels/templates/bigship.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/bigship.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/bigship.oxt	(revision 10814)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 50
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 30
Index: code/branches/fabienHS15/data/levels/templates/enemyInvader.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/enemyInvader.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/enemyInvader.oxt	(revision 10814)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 10
    shieldabsorption    = 0.9
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 150
@@ -77,6 +77,6 @@
    maxshieldhealth     = 20
    shieldabsorption    = 0.9
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 150
Index: code/branches/fabienHS15/data/levels/templates/spaceshipAssff.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/spaceshipAssff.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/spaceshipAssff.oxt	(revision 10814)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 50
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 100
Index: code/branches/fabienHS15/data/levels/templates/spaceshipAssff2.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/spaceshipAssff2.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/spaceshipAssff2.oxt	(revision 10814)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 150
    shieldabsorption    = 0.95
-   reloadrate          = 5
-   reloadwaittime      = 0.5
+   shieldrechargerate  = 5
+   shieldrechargewaittime = 0.5
 
    primaryThrust     = 100
Index: code/branches/fabienHS15/data/levels/templates/spaceshipCollateralDamage.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/spaceshipCollateralDamage.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/spaceshipCollateralDamage.oxt	(revision 10814)
@@ -16,6 +16,6 @@
    maxshieldhealth     = 50
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 100
Index: code/branches/fabienHS15/data/levels/templates/spaceshipDodgeRace.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/spaceshipDodgeRace.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/spaceshipDodgeRace.oxt	(revision 10814)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 20
    shieldabsorption    = 0.1
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 150
Index: code/branches/fabienHS15/data/levels/templates/spaceshipEscort.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/spaceshipEscort.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/spaceshipEscort.oxt	(revision 10814)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 60
    shieldabsorption    = 0.9
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 150
Index: code/branches/fabienHS15/data/levels/templates/spaceshipFS15.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/spaceshipFS15.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/spaceshipFS15.oxt	(revision 10814)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 800
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 40
Index: code/branches/fabienHS15/data/levels/templates/spaceshipGhost.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/spaceshipGhost.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/spaceshipGhost.oxt	(revision 10814)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 150
    shieldabsorption    = 0.9
-   reloadrate          = 3
-   reloadwaittime      = 0.0
+   shieldrechargerate  = 3
+   shieldrechargewaittime = 0.0
 
    primaryThrust     = 600
Index: code/branches/fabienHS15/data/levels/templates/spaceshipHeartAttack.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/spaceshipHeartAttack.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/spaceshipHeartAttack.oxt	(revision 10814)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 800
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 40
Index: code/branches/fabienHS15/data/levels/templates/spaceshipInvader.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/spaceshipInvader.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/spaceshipInvader.oxt	(revision 10814)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 60
    shieldabsorption    = 0.9
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 150
Index: code/branches/fabienHS15/data/levels/templates/spaceshipPirate.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/spaceshipPirate.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/spaceshipPirate.oxt	(revision 10814)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 40
    shieldabsorption    = 0.6
-   reloadrate          = 2
-   reloadwaittime      = 0.5
+   shieldrechargerate  = 2
+   shieldrechargewaittime = 0.5
 
    primaryThrust     = 100
Index: code/branches/fabienHS15/data/levels/templates/spaceshipRace.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/spaceshipRace.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/spaceshipRace.oxt	(revision 10814)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 50
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 100
Index: code/branches/fabienHS15/data/levels/templates/spaceshipRing.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/spaceshipRing.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/spaceshipRing.oxt	(revision 10814)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 60
    shieldabsorption    = 0.9
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 150
Index: code/branches/fabienHS15/data/levels/templates/spaceshipSpacecruiser.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/spaceshipSpacecruiser.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/spaceshipSpacecruiser.oxt	(revision 10814)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 90
    shieldabsorption    = 0.9
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 90
Index: code/branches/fabienHS15/data/levels/templates/spaceshipSwallow.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/spaceshipSwallow.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/spaceshipSwallow.oxt	(revision 10814)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 80
    shieldabsorption    = 0.75
-   reloadrate          = 1.5
-   reloadwaittime      = 0.2
+   shieldrechargerate  = 1.5
+   shieldrechargewaittime = 0.2
 
    primaryThrust     = 600;
Index: code/branches/fabienHS15/data/levels/templates/spaceshipTurret.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/spaceshipTurret.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/spaceshipTurret.oxt	(revision 10814)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 50
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 100
Index: code/branches/fabienHS15/data/levels/templates/towerdefensetower.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/towerdefensetower.oxt	(revision 10791)
+++ code/branches/fabienHS15/data/levels/templates/towerdefensetower.oxt	(revision 10814)
@@ -4,6 +4,6 @@
 
    	explosionchunks        = 6
-	reloadrate=10 
-	reloadwaittime=5 
+	shieldrechargerate=10 
+	shieldrechargewaittime=5 
 	collisionType="none" 
 	pitch="0" 
Index: code/branches/fabienHS15/data/levels/towerDefense.oxw
===================================================================
--- code/branches/fabienHS15/data/levels/towerDefense.oxw	(revision 10791)
+++ code/branches/fabienHS15/data/levels/towerDefense.oxw	(revision 10814)
@@ -39,6 +39,6 @@
   <TowerDefenseTower
   explosionchunks=6
-  reloadrate=10 
-  reloadwaittime=5 
+  shieldrechargerate=10 
+  shieldrechargewaittime=5 
   collisionType="none" 
   pitch="0" 
@@ -79,6 +79,6 @@
   <TowerDefenseTower
   explosionchunks=6
-  reloadrate=10 
-  reloadwaittime=5 
+  shieldrechargerate=10 
+  shieldrechargewaittime=5 
   collisionType="none" 
   pitch="0" 
@@ -122,6 +122,6 @@
   <TowerDefenseTower
   explosionchunks=6
-  reloadrate=10 
-  reloadwaittime=5 
+  shieldrechargerate=10 
+  shieldrechargewaittime=5 
   collisionType="none" 
   pitch="0" 
@@ -162,6 +162,6 @@
   <TowerDefenseTower
   explosionchunks=6
-  reloadrate=10 
-  reloadwaittime=5 
+  shieldrechargerate=10 
+  shieldrechargewaittime=5 
   collisionType="none" 
   pitch="0" 
@@ -189,5 +189,5 @@
         </links>
         <Weapon>
-          <RocketFire mode=0 munitionpershot=0 muzzleoffset="0,0,0" damage=2 shielddamage=4 />  
+          <RocketFire mode=0 munitionpershot=0 muzzleoffset="0,0,0" damage=2 shielddamage=4 fuel=10/>  
         </Weapon>
       </WeaponPack>
@@ -205,6 +205,6 @@
   <TowerDefenseTower
   explosionchunks=6
-  reloadrate=10 
-  reloadwaittime=5 
+  shieldrechargerate=10 
+  shieldrechargewaittime=5 
   collisionType="none" 
   pitch="0" 
@@ -258,6 +258,6 @@
    maxshieldhealth     = 15
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 1000
@@ -323,6 +323,6 @@
    maxshieldhealth     = 0
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 100
@@ -396,6 +396,6 @@
    maxshieldhealth     = 5
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 100