Index: /code/branches/cpp11_v2/src/external/tolua/lua/package.lua
===================================================================
--- /code/branches/cpp11_v2/src/external/tolua/lua/package.lua	(revision 10817)
+++ /code/branches/cpp11_v2/src/external/tolua/lua/package.lua	(revision 10818)
@@ -82,4 +82,5 @@
     self.code = gsub(self.code,"%s*@%s*","@") -- eliminate spaces beside @
     self.code = gsub(self.code,"%s?inline(%s)","%1") -- eliminate 'inline' keyword
+    self.code = gsub(self.code,"%)%s?override;",");") -- eliminate 'override' keyword... at least most of the times
     --self.code = gsub(self.code,"%s?extern(%s)","%1") -- eliminate 'extern' keyword
     --self.code = gsub(self.code,"%s?virtual(%s)","%1") -- eliminate 'virtual' keyword
Index: /code/branches/cpp11_v2/src/libraries/core/config/SettingsConfigFile.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/SettingsConfigFile.h	(revision 10817)
+++ /code/branches/cpp11_v2/src/libraries/core/config/SettingsConfigFile.h	(revision 10818)
@@ -68,5 +68,5 @@
             ~SettingsConfigFile();
 
-            void load(); // tolua_export
+            void load() override; // tolua_export
             void setFilename(const std::string& filename); // tolua_export
             void clean(bool bCleanComments = false); // tolua_export
Index: /code/branches/cpp11_v2/src/libraries/util/Math.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/Math.h	(revision 10817)
+++ /code/branches/cpp11_v2/src/libraries/util/Math.h	(revision 10818)
@@ -182,5 +182,5 @@
     {
         // Default, raise a compiler error without including large boost header cascade.
-        T temp();
+        T temp{};
         *********temp; // If you reach this code, you abused zeroise()!
         return temp;
Index: /code/branches/cpp11_v2/src/modules/dodgerace/DodgeRaceShip.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/dodgerace/DodgeRaceShip.cc	(revision 10817)
+++ /code/branches/cpp11_v2/src/modules/dodgerace/DodgeRaceShip.cc	(revision 10818)
@@ -142,5 +142,5 @@
     }
 
-    inline bool DodgeRaceShip::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
+    inline bool DodgeRaceShip::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint)
     {
 
Index: /code/branches/cpp11_v2/src/modules/dodgerace/DodgeRaceShip.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/dodgerace/DodgeRaceShip.h	(revision 10817)
+++ /code/branches/cpp11_v2/src/modules/dodgerace/DodgeRaceShip.h	(revision 10818)
@@ -70,4 +70,6 @@
             virtual void updateLevel();
 
+            virtual inline bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
+
             float speed, damping, posforeward;
             bool isFireing;
@@ -77,5 +79,4 @@
 
         private:
-            virtual inline bool collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint);
             DodgeRace* getGame();
             WeakPtr<DodgeRace> game;
Index: /code/branches/cpp11_v2/src/modules/invader/InvaderEnemy.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/invader/InvaderEnemy.cc	(revision 10817)
+++ /code/branches/cpp11_v2/src/modules/invader/InvaderEnemy.cc	(revision 10818)
@@ -64,5 +64,5 @@
     }
 
-    inline bool InvaderEnemy::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
+    inline bool InvaderEnemy::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint)
     {
         if(orxonox_cast<InvaderShip*>(otherObject))
Index: /code/branches/cpp11_v2/src/modules/invader/InvaderEnemy.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/invader/InvaderEnemy.h	(revision 10817)
+++ /code/branches/cpp11_v2/src/modules/invader/InvaderEnemy.h	(revision 10818)
@@ -47,5 +47,5 @@
 
             virtual void tick(float dt) override;
-            virtual bool collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint);
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
             virtual void damage(float damage, float healthdamage, float shielddamage, Pawn* originator, const btCollisionShape* cs) override;
             virtual void setPlayer(InvaderShip* player){this->player = player;}
Index: /code/branches/cpp11_v2/src/modules/invader/InvaderShip.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/invader/InvaderShip.cc	(revision 10817)
+++ /code/branches/cpp11_v2/src/modules/invader/InvaderShip.cc	(revision 10818)
@@ -148,5 +148,5 @@
                 getGame()->end();
     }
-    inline bool InvaderShip::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
+    inline bool InvaderShip::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint)
     {
         // orxout() << "touch!!! " << endl; //<< otherObject << " at " << contactPoint;
Index: /code/branches/cpp11_v2/src/modules/invader/InvaderShip.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/invader/InvaderShip.h	(revision 10817)
+++ /code/branches/cpp11_v2/src/modules/invader/InvaderShip.h	(revision 10818)
@@ -64,5 +64,5 @@
             virtual void updateLevel();
 
-            virtual inline bool collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint);
+            virtual inline bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
 
         protected:
Index: /code/branches/cpp11_v2/src/modules/objects/controllers/TeamTargetProxy.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/controllers/TeamTargetProxy.cc	(revision 10817)
+++ /code/branches/cpp11_v2/src/modules/objects/controllers/TeamTargetProxy.cc	(revision 10818)
@@ -28,4 +28,5 @@
 
 #include "TeamTargetProxy.h"
+#include "core/CoreIncludes.h"
 #include "worldentities/ControllableEntity.h"
 #include "worldentities/pawns/Pawn.h"
Index: /code/branches/cpp11_v2/src/modules/objects/controllers/TurretController.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/controllers/TurretController.cc	(revision 10817)
+++ /code/branches/cpp11_v2/src/modules/objects/controllers/TurretController.cc	(revision 10818)
@@ -30,4 +30,6 @@
 #include "worldentities/pawns/Pawn.h"
 #include "objects/Turret.h"
+#include "core/object/ObjectList.h"
+#include "core/CoreIncludes.h"
 
  namespace orxonox
Index: /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseEnemy.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseEnemy.cc	(revision 10817)
+++ /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseEnemy.cc	(revision 10818)
@@ -55,5 +55,5 @@
     }
 
-    void TowerDefenseEnemy::damage(float damage, float healthdamage, float shielddamage, Pawn* originator)
+    void TowerDefenseEnemy::damage(float damage, float healthdamage, float shielddamage, Pawn* originator, const btCollisionShape* cs)
     {
         Pawn::damage(damage, healthdamage, shielddamage, originator);
Index: /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseEnemy.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseEnemy.h	(revision 10817)
+++ /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseEnemy.h	(revision 10818)
@@ -38,5 +38,5 @@
 
         virtual void tick(float dt) override;
-        virtual void damage(float damage, float healthdamage, float shielddamage, Pawn* originator);
+        virtual void damage(float damage, float healthdamage, float shielddamage, Pawn* originator, const btCollisionShape* cs) override;
 
     private:
Index: /code/branches/cpp11_v2/src/orxonox/Level.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/Level.cc	(revision 10817)
+++ /code/branches/cpp11_v2/src/orxonox/Level.cc	(revision 10818)
@@ -30,4 +30,5 @@
 
 #include "util/Math.h"
+#include "util/SubString.h"
 #include "core/CoreIncludes.h"
 #include "core/Loader.h"
Index: /code/branches/cpp11_v2/src/orxonox/Level.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/Level.h	(revision 10817)
+++ /code/branches/cpp11_v2/src/orxonox/Level.h	(revision 10818)
@@ -37,4 +37,5 @@
 #include "core/BaseObject.h"
 #include "network/synchronisable/Synchronisable.h"
+#include "core/object/Context.h"
 #include "graphics/MeshLodInformation.h"
 
Index: /code/branches/cpp11_v2/src/orxonox/Scene.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/Scene.h	(revision 10817)
+++ /code/branches/cpp11_v2/src/orxonox/Scene.h	(revision 10818)
@@ -40,4 +40,5 @@
 #include "util/OgreForwardRefs.h"
 #include "core/BaseObject.h"
+#include "core/object/Context.h"
 #include "network/synchronisable/Synchronisable.h"
 #include "tools/interfaces/Tickable.h"
Index: /code/branches/cpp11_v2/src/orxonox/chat/ChatHistory.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/chat/ChatHistory.cc	(revision 10817)
+++ /code/branches/cpp11_v2/src/orxonox/chat/ChatHistory.cc	(revision 10818)
@@ -30,4 +30,5 @@
 #include "core/singleton/ScopedSingletonIncludes.h"
 #include "core/ConfigurablePaths.h"
+#include "core/CoreIncludes.h"
 
 #ifndef CHATTEST
Index: /code/branches/cpp11_v2/src/orxonox/gamestates/GSRoot.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gamestates/GSRoot.cc	(revision 10817)
+++ /code/branches/cpp11_v2/src/orxonox/gamestates/GSRoot.cc	(revision 10818)
@@ -34,4 +34,5 @@
 #include "core/GameMode.h"
 #include "core/command/ConsoleCommandIncludes.h"
+#include "core/object/ObjectList.h"
 #include "network/NetworkFunctionIncludes.h"
 #include "tools/Timer.h"
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/Drone.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/Drone.cc	(revision 10817)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/Drone.cc	(revision 10818)
@@ -30,4 +30,5 @@
 
 #include "core/XMLPort.h"
+#include "core/CoreIncludes.h"
 #include "BulletDynamics/Dynamics/btRigidBody.h"
 
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/FpsPlayer.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/FpsPlayer.cc	(revision 10817)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/FpsPlayer.cc	(revision 10818)
@@ -282,5 +282,5 @@
     }
 
-    bool FpsPlayer::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
+    bool FpsPlayer::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint)
     {
         if (contactPoint.m_normalWorldOnB.y() > 0.6)
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/FpsPlayer.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/FpsPlayer.h	(revision 10817)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/FpsPlayer.h	(revision 10818)
@@ -69,5 +69,5 @@
             virtual void fire();
 
-            bool collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint);
+            bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
 
             virtual void addedWeaponPack(WeaponPack* wPack);